1# Makefile.in generated by automake 1.16.1 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994-2018 Free Software Foundation, Inc.
5
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
16
17VPATH = @srcdir@
18am__is_gnu_make = { \
19  if test -z '$(MAKELEVEL)'; then \
20    false; \
21  elif test -n '$(MAKE_HOST)'; then \
22    true; \
23  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
24    true; \
25  else \
26    false; \
27  fi; \
28}
29am__make_running_with_option = \
30  case $${target_option-} in \
31      ?) ;; \
32      *) echo "am__make_running_with_option: internal error: invalid" \
33              "target option '$${target_option-}' specified" >&2; \
34         exit 1;; \
35  esac; \
36  has_opt=no; \
37  sane_makeflags=$$MAKEFLAGS; \
38  if $(am__is_gnu_make); then \
39    sane_makeflags=$$MFLAGS; \
40  else \
41    case $$MAKEFLAGS in \
42      *\\[\ \	]*) \
43        bs=\\; \
44        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
45          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
46    esac; \
47  fi; \
48  skip_next=no; \
49  strip_trailopt () \
50  { \
51    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
52  }; \
53  for flg in $$sane_makeflags; do \
54    test $$skip_next = yes && { skip_next=no; continue; }; \
55    case $$flg in \
56      *=*|--*) continue;; \
57        -*I) strip_trailopt 'I'; skip_next=yes;; \
58      -*I?*) strip_trailopt 'I';; \
59        -*O) strip_trailopt 'O'; skip_next=yes;; \
60      -*O?*) strip_trailopt 'O';; \
61        -*l) strip_trailopt 'l'; skip_next=yes;; \
62      -*l?*) strip_trailopt 'l';; \
63      -[dEDm]) skip_next=yes;; \
64      -[JT]) skip_next=yes;; \
65    esac; \
66    case $$flg in \
67      *$$target_option*) has_opt=yes; break;; \
68    esac; \
69  done; \
70  test $$has_opt = yes
71am__make_dryrun = (target_option=n; $(am__make_running_with_option))
72am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
73pkgdatadir = $(datadir)/@PACKAGE@
74pkgincludedir = $(includedir)/@PACKAGE@
75pkglibdir = $(libdir)/@PACKAGE@
76pkglibexecdir = $(libexecdir)/@PACKAGE@
77am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
78install_sh_DATA = $(install_sh) -c -m 644
79install_sh_PROGRAM = $(install_sh) -c
80install_sh_SCRIPT = $(install_sh) -c
81INSTALL_HEADER = $(INSTALL_DATA)
82transform = $(program_transform_name)
83NORMAL_INSTALL = :
84PRE_INSTALL = :
85POST_INSTALL = :
86NORMAL_UNINSTALL = :
87PRE_UNINSTALL = :
88POST_UNINSTALL = :
89subdir = doc
90ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
91am__aclocal_m4_deps = $(top_srcdir)/configure.ac
92am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
93	$(ACLOCAL_M4)
94DIST_COMMON = $(srcdir)/Makefile.am $(dist_doc_DATA) \
95	$(am__DIST_COMMON)
96mkinstalldirs = $(install_sh) -d
97CONFIG_CLEAN_FILES =
98CONFIG_CLEAN_VPATH_FILES =
99AM_V_P = $(am__v_P_@AM_V@)
100am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
101am__v_P_0 = false
102am__v_P_1 = :
103AM_V_GEN = $(am__v_GEN_@AM_V@)
104am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
105am__v_GEN_0 = @echo "  GEN     " $@;
106am__v_GEN_1 =
107AM_V_at = $(am__v_at_@AM_V@)
108am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
109am__v_at_0 = @
110am__v_at_1 =
111SOURCES =
112DIST_SOURCES =
113am__can_run_installinfo = \
114  case $$AM_UPDATE_INFO_DIR in \
115    n|no|NO) false;; \
116    *) (install-info --version) >/dev/null 2>&1;; \
117  esac
118am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
119am__vpath_adj = case $$p in \
120    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
121    *) f=$$p;; \
122  esac;
123am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
124am__install_max = 40
125am__nobase_strip_setup = \
126  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
127am__nobase_strip = \
128  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
129am__nobase_list = $(am__nobase_strip_setup); \
130  for p in $$list; do echo "$$p $$p"; done | \
131  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
132  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
133    if (++n[$$2] == $(am__install_max)) \
134      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
135    END { for (dir in files) print dir, files[dir] }'
136am__base_list = \
137  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
138  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
139am__uninstall_files_from_dir = { \
140  test -z "$$files" \
141    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
142    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
143         $(am__cd) "$$dir" && rm -f $$files; }; \
144  }
145man1dir = $(mandir)/man1
146am__installdirs = "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(docdir)"
147NROFF = nroff
148MANS = $(dist_man1_MANS)
149DATA = $(dist_doc_DATA)
150am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
151am__tty_colors_dummy = \
152  mgn= red= grn= lgn= blu= brg= std=; \
153  am__color_tests=no
154am__tty_colors = { \
155  $(am__tty_colors_dummy); \
156  if test "X$(AM_COLOR_TESTS)" = Xno; then \
157    am__color_tests=no; \
158  elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
159    am__color_tests=yes; \
160  elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
161    am__color_tests=yes; \
162  fi; \
163  if test $$am__color_tests = yes; then \
164    red=''; \
165    grn=''; \
166    lgn=''; \
167    blu=''; \
168    mgn=''; \
169    brg=''; \
170    std=''; \
171  fi; \
172}
173am__recheck_rx = ^[ 	]*:recheck:[ 	]*
174am__global_test_result_rx = ^[ 	]*:global-test-result:[ 	]*
175am__copy_in_global_log_rx = ^[ 	]*:copy-in-global-log:[ 	]*
176# A command that, given a newline-separated list of test names on the
177# standard input, print the name of the tests that are to be re-run
178# upon "make recheck".
179am__list_recheck_tests = $(AWK) '{ \
180  recheck = 1; \
181  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
182    { \
183      if (rc < 0) \
184        { \
185          if ((getline line2 < ($$0 ".log")) < 0) \
186	    recheck = 0; \
187          break; \
188        } \
189      else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
190        { \
191          recheck = 0; \
192          break; \
193        } \
194      else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
195        { \
196          break; \
197        } \
198    }; \
199  if (recheck) \
200    print $$0; \
201  close ($$0 ".trs"); \
202  close ($$0 ".log"); \
203}'
204# A command that, given a newline-separated list of test names on the
205# standard input, create the global log from their .trs and .log files.
206am__create_global_log = $(AWK) ' \
207function fatal(msg) \
208{ \
209  print "fatal: making $@: " msg | "cat >&2"; \
210  exit 1; \
211} \
212function rst_section(header) \
213{ \
214  print header; \
215  len = length(header); \
216  for (i = 1; i <= len; i = i + 1) \
217    printf "="; \
218  printf "\n\n"; \
219} \
220{ \
221  copy_in_global_log = 1; \
222  global_test_result = "RUN"; \
223  while ((rc = (getline line < ($$0 ".trs"))) != 0) \
224    { \
225      if (rc < 0) \
226         fatal("failed to read from " $$0 ".trs"); \
227      if (line ~ /$(am__global_test_result_rx)/) \
228        { \
229          sub("$(am__global_test_result_rx)", "", line); \
230          sub("[ 	]*$$", "", line); \
231          global_test_result = line; \
232        } \
233      else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
234        copy_in_global_log = 0; \
235    }; \
236  if (copy_in_global_log) \
237    { \
238      rst_section(global_test_result ": " $$0); \
239      while ((rc = (getline line < ($$0 ".log"))) != 0) \
240      { \
241        if (rc < 0) \
242          fatal("failed to read from " $$0 ".log"); \
243        print line; \
244      }; \
245      printf "\n"; \
246    }; \
247  close ($$0 ".trs"); \
248  close ($$0 ".log"); \
249}'
250# Restructured Text title.
251am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
252# Solaris 10 'make', and several other traditional 'make' implementations,
253# pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
254# by disabling -e (using the XSI extension "set +e") if it's set.
255am__sh_e_setup = case $$- in *e*) set +e;; esac
256# Default flags passed to test drivers.
257am__common_driver_flags = \
258  --color-tests "$$am__color_tests" \
259  --enable-hard-errors "$$am__enable_hard_errors" \
260  --expect-failure "$$am__expect_failure"
261# To be inserted before the command running the test.  Creates the
262# directory for the log if needed.  Stores in $dir the directory
263# containing $f, in $tst the test, in $log the log.  Executes the
264# developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
265# passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
266# will run the test scripts (or their associated LOG_COMPILER, if
267# thy have one).
268am__check_pre = \
269$(am__sh_e_setup);					\
270$(am__vpath_adj_setup) $(am__vpath_adj)			\
271$(am__tty_colors);					\
272srcdir=$(srcdir); export srcdir;			\
273case "$@" in						\
274  */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;	\
275    *) am__odir=.;; 					\
276esac;							\
277test "x$$am__odir" = x"." || test -d "$$am__odir" 	\
278  || $(MKDIR_P) "$$am__odir" || exit $$?;		\
279if test -f "./$$f"; then dir=./;			\
280elif test -f "$$f"; then dir=;				\
281else dir="$(srcdir)/"; fi;				\
282tst=$$dir$$f; log='$@'; 				\
283if test -n '$(DISABLE_HARD_ERRORS)'; then		\
284  am__enable_hard_errors=no; 				\
285else							\
286  am__enable_hard_errors=yes; 				\
287fi; 							\
288case " $(XFAIL_TESTS) " in				\
289  *[\ \	]$$f[\ \	]* | *[\ \	]$$dir$$f[\ \	]*) \
290    am__expect_failure=yes;;				\
291  *)							\
292    am__expect_failure=no;;				\
293esac; 							\
294$(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
295# A shell command to get the names of the tests scripts with any registered
296# extension removed (i.e., equivalently, the names of the test logs, with
297# the '.log' extension removed).  The result is saved in the shell variable
298# '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
299# we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
300# since that might cause problem with VPATH rewrites for suffix-less tests.
301# See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
302am__set_TESTS_bases = \
303  bases='$(TEST_LOGS)'; \
304  bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
305  bases=`echo $$bases`
306RECHECK_LOGS = $(TEST_LOGS)
307AM_RECURSIVE_TARGETS = check recheck
308TEST_SUITE_LOG = test-suite.log
309TEST_EXTENSIONS = .test
310am__test_logs1 = $(TESTS:=.log)
311TEST_LOGS = $(am__test_logs1:.test.log=.log)
312TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
313	$(TEST_LOG_FLAGS)
314am__set_b = \
315  case '$@' in \
316    */*) \
317      case '$*' in \
318        */*) b='$*';; \
319          *) b=`echo '$@' | sed 's/\.log$$//'`; \
320       esac;; \
321    *) \
322      b='$*';; \
323  esac
324am__DIST_COMMON = $(dist_man1_MANS) $(srcdir)/Makefile.in
325DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
326ACLOCAL = @ACLOCAL@
327AMTAR = @AMTAR@
328AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
329AUTOCONF = @AUTOCONF@
330AUTOHEADER = @AUTOHEADER@
331AUTOMAKE = @AUTOMAKE@
332AWK = @AWK@
333COL = @COL@
334CYGPATH_W = @CYGPATH_W@
335DEFS = @DEFS@
336ECHO_C = @ECHO_C@
337ECHO_N = @ECHO_N@
338ECHO_T = @ECHO_T@
339INSTALL = @INSTALL@
340INSTALL_DATA = @INSTALL_DATA@
341INSTALL_PROGRAM = @INSTALL_PROGRAM@
342INSTALL_SCRIPT = @INSTALL_SCRIPT@
343INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
344LIBOBJS = @LIBOBJS@
345LIBS = @LIBS@
346LTLIBOBJS = @LTLIBOBJS@
347MAINT = @MAINT@
348MAKEINFO = @MAKEINFO@
349MANDOC = @MANDOC@
350MKDIR_P = @MKDIR_P@
351MKTEMP = @MKTEMP@
352MKTEMP_TEMPLATE = @MKTEMP_TEMPLATE@
353PACKAGE = @PACKAGE@
354PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
355PACKAGE_NAME = @PACKAGE_NAME@
356PACKAGE_STRING = @PACKAGE_STRING@
357PACKAGE_TARNAME = @PACKAGE_TARNAME@
358PACKAGE_URL = @PACKAGE_URL@
359PACKAGE_VERSION = @PACKAGE_VERSION@
360PATH_SEPARATOR = @PATH_SEPARATOR@
361PAX = @PAX@
362SET_MAKE = @SET_MAKE@
363SHELL = @SHELL@
364SHELLCHECK = @SHELLCHECK@
365STRIP = @STRIP@
366VERSION = @VERSION@
367abs_builddir = @abs_builddir@
368abs_srcdir = @abs_srcdir@
369abs_top_builddir = @abs_top_builddir@
370abs_top_srcdir = @abs_top_srcdir@
371am__leading_dot = @am__leading_dot@
372am__tar = @am__tar@
373am__untar = @am__untar@
374bindir = @bindir@
375build_alias = @build_alias@
376builddir = @builddir@
377datadir = @datadir@
378datarootdir = @datarootdir@
379docdir = @docdir@
380dvidir = @dvidir@
381exec_prefix = @exec_prefix@
382host_alias = @host_alias@
383htmldir = @htmldir@
384includedir = @includedir@
385infodir = @infodir@
386install_sh = @install_sh@
387libdir = @libdir@
388libexecdir = @libexecdir@
389localedir = @localedir@
390localstatedir = @localstatedir@
391mandir = @mandir@
392mkdir_p = @mkdir_p@
393oldincludedir = @oldincludedir@
394pdfdir = @pdfdir@
395prefix = @prefix@
396program_transform_name = @program_transform_name@
397psdir = @psdir@
398sbindir = @sbindir@
399sharedstatedir = @sharedstatedir@
400srcdir = @srcdir@
401sysconfdir = @sysconfdir@
402target_alias = @target_alias@
403top_build_prefix = @top_build_prefix@
404top_builddir = @top_builddir@
405top_srcdir = @top_srcdir@
406dist_man1_MANS = shell.man
407dist_doc_DATA = shell.md shell.txt
408check_SCRIPTS = t/mandoc-lint.test
409EXTRA_DIST = \
410	shell.mdoc \
411	$(check_SCRIPTS)
412
413DISTCLEANFILES = shell.man shell.md shell.txt
414TEST_LOG_DRIVER = \
415	env AM_TAP_AWK='$(AWK)' \
416	$(SHELL) $(top_srcdir)/autotools/tap-driver.sh
417
418TESTS = $(check_SCRIPTS)
419@HAVE_MANDOC_FALSE@XFAIL_TESTS = $(check_SCRIPTS)
420all: all-am
421
422.SUFFIXES:
423.SUFFIXES: .log .test .trs
424$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
425	@for dep in $?; do \
426	  case '$(am__configure_deps)' in \
427	    *$$dep*) \
428	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
429	        && { if test -f $@; then exit 0; else break; fi; }; \
430	      exit 1;; \
431	  esac; \
432	done; \
433	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign doc/Makefile'; \
434	$(am__cd) $(top_srcdir) && \
435	  $(AUTOMAKE) --foreign doc/Makefile
436Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
437	@case '$?' in \
438	  *config.status*) \
439	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
440	  *) \
441	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles)'; \
442	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__maybe_remake_depfiles);; \
443	esac;
444
445$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
446	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
447
448$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
449	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
450$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
451	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
452$(am__aclocal_m4_deps):
453install-man1: $(dist_man1_MANS)
454	@$(NORMAL_INSTALL)
455	@list1='$(dist_man1_MANS)'; \
456	list2=''; \
457	test -n "$(man1dir)" \
458	  && test -n "`echo $$list1$$list2`" \
459	  || exit 0; \
460	echo " $(MKDIR_P) '$(DESTDIR)$(man1dir)'"; \
461	$(MKDIR_P) "$(DESTDIR)$(man1dir)" || exit 1; \
462	{ for i in $$list1; do echo "$$i"; done;  \
463	if test -n "$$list2"; then \
464	  for i in $$list2; do echo "$$i"; done \
465	    | sed -n '/\.1[a-z]*$$/p'; \
466	fi; \
467	} | while read p; do \
468	  if test -f $$p; then d=; else d="$(srcdir)/"; fi; \
469	  echo "$$d$$p"; echo "$$p"; \
470	done | \
471	sed -e 'n;s,.*/,,;p;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
472	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,' | \
473	sed 'N;N;s,\n, ,g' | { \
474	list=; while read file base inst; do \
475	  if test "$$base" = "$$inst"; then list="$$list $$file"; else \
476	    echo " $(INSTALL_DATA) '$$file' '$(DESTDIR)$(man1dir)/$$inst'"; \
477	    $(INSTALL_DATA) "$$file" "$(DESTDIR)$(man1dir)/$$inst" || exit $$?; \
478	  fi; \
479	done; \
480	for i in $$list; do echo "$$i"; done | $(am__base_list) | \
481	while read files; do \
482	  test -z "$$files" || { \
483	    echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(man1dir)'"; \
484	    $(INSTALL_DATA) $$files "$(DESTDIR)$(man1dir)" || exit $$?; }; \
485	done; }
486
487uninstall-man1:
488	@$(NORMAL_UNINSTALL)
489	@list='$(dist_man1_MANS)'; test -n "$(man1dir)" || exit 0; \
490	files=`{ for i in $$list; do echo "$$i"; done; \
491	} | sed -e 's,.*/,,;h;s,.*\.,,;s,^[^1][0-9a-z]*$$,1,;x' \
492	      -e 's,\.[0-9a-z]*$$,,;$(transform);G;s,\n,.,'`; \
493	dir='$(DESTDIR)$(man1dir)'; $(am__uninstall_files_from_dir)
494install-dist_docDATA: $(dist_doc_DATA)
495	@$(NORMAL_INSTALL)
496	@list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
497	if test -n "$$list"; then \
498	  echo " $(MKDIR_P) '$(DESTDIR)$(docdir)'"; \
499	  $(MKDIR_P) "$(DESTDIR)$(docdir)" || exit 1; \
500	fi; \
501	for p in $$list; do \
502	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
503	  echo "$$d$$p"; \
504	done | $(am__base_list) | \
505	while read files; do \
506	  echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(docdir)'"; \
507	  $(INSTALL_DATA) $$files "$(DESTDIR)$(docdir)" || exit $$?; \
508	done
509
510uninstall-dist_docDATA:
511	@$(NORMAL_UNINSTALL)
512	@list='$(dist_doc_DATA)'; test -n "$(docdir)" || list=; \
513	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
514	dir='$(DESTDIR)$(docdir)'; $(am__uninstall_files_from_dir)
515tags TAGS:
516
517ctags CTAGS:
518
519cscope cscopelist:
520
521
522# Recover from deleted '.trs' file; this should ensure that
523# "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
524# both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
525# to avoid problems with "make -n".
526.log.trs:
527	rm -f $< $@
528	$(MAKE) $(AM_MAKEFLAGS) $<
529
530# Leading 'am--fnord' is there to ensure the list of targets does not
531# expand to empty, as could happen e.g. with make check TESTS=''.
532am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
533am--force-recheck:
534	@:
535
536$(TEST_SUITE_LOG): $(TEST_LOGS)
537	@$(am__set_TESTS_bases); \
538	am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
539	redo_bases=`for i in $$bases; do \
540	              am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
541	            done`; \
542	if test -n "$$redo_bases"; then \
543	  redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
544	  redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
545	  if $(am__make_dryrun); then :; else \
546	    rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
547	  fi; \
548	fi; \
549	if test -n "$$am__remaking_logs"; then \
550	  echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
551	       "recursion detected" >&2; \
552	elif test -n "$$redo_logs"; then \
553	  am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
554	fi; \
555	if $(am__make_dryrun); then :; else \
556	  st=0;  \
557	  errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
558	  for i in $$redo_bases; do \
559	    test -f $$i.trs && test -r $$i.trs \
560	      || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
561	    test -f $$i.log && test -r $$i.log \
562	      || { echo "$$errmsg $$i.log" >&2; st=1; }; \
563	  done; \
564	  test $$st -eq 0 || exit 1; \
565	fi
566	@$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
567	ws='[ 	]'; \
568	results=`for b in $$bases; do echo $$b.trs; done`; \
569	test -n "$$results" || results=/dev/null; \
570	all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
571	pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
572	fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
573	skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
574	xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
575	xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
576	error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
577	if test `expr $$fail + $$xpass + $$error` -eq 0; then \
578	  success=true; \
579	else \
580	  success=false; \
581	fi; \
582	br='==================='; br=$$br$$br$$br$$br; \
583	result_count () \
584	{ \
585	    if test x"$$1" = x"--maybe-color"; then \
586	      maybe_colorize=yes; \
587	    elif test x"$$1" = x"--no-color"; then \
588	      maybe_colorize=no; \
589	    else \
590	      echo "$@: invalid 'result_count' usage" >&2; exit 4; \
591	    fi; \
592	    shift; \
593	    desc=$$1 count=$$2; \
594	    if test $$maybe_colorize = yes && test $$count -gt 0; then \
595	      color_start=$$3 color_end=$$std; \
596	    else \
597	      color_start= color_end=; \
598	    fi; \
599	    echo "$${color_start}# $$desc $$count$${color_end}"; \
600	}; \
601	create_testsuite_report () \
602	{ \
603	  result_count $$1 "TOTAL:" $$all   "$$brg"; \
604	  result_count $$1 "PASS: " $$pass  "$$grn"; \
605	  result_count $$1 "SKIP: " $$skip  "$$blu"; \
606	  result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
607	  result_count $$1 "FAIL: " $$fail  "$$red"; \
608	  result_count $$1 "XPASS:" $$xpass "$$red"; \
609	  result_count $$1 "ERROR:" $$error "$$mgn"; \
610	}; \
611	{								\
612	  echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |	\
613	    $(am__rst_title);						\
614	  create_testsuite_report --no-color;				\
615	  echo;								\
616	  echo ".. contents:: :depth: 2";				\
617	  echo;								\
618	  for b in $$bases; do echo $$b; done				\
619	    | $(am__create_global_log);					\
620	} >$(TEST_SUITE_LOG).tmp || exit 1;				\
621	mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);			\
622	if $$success; then						\
623	  col="$$grn";							\
624	 else								\
625	  col="$$red";							\
626	  test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);		\
627	fi;								\
628	echo "$${col}$$br$${std}"; 					\
629	echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";	\
630	echo "$${col}$$br$${std}"; 					\
631	create_testsuite_report --maybe-color;				\
632	echo "$$col$$br$$std";						\
633	if $$success; then :; else					\
634	  echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";		\
635	  if test -n "$(PACKAGE_BUGREPORT)"; then			\
636	    echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}";	\
637	  fi;								\
638	  echo "$$col$$br$$std";					\
639	fi;								\
640	$$success || exit 1
641
642check-TESTS: $(check_SCRIPTS)
643	@list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
644	@list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
645	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
646	@set +e; $(am__set_TESTS_bases); \
647	log_list=`for i in $$bases; do echo $$i.log; done`; \
648	trs_list=`for i in $$bases; do echo $$i.trs; done`; \
649	log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
650	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
651	exit $$?;
652recheck: all $(check_SCRIPTS)
653	@test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
654	@set +e; $(am__set_TESTS_bases); \
655	bases=`for i in $$bases; do echo $$i; done \
656	         | $(am__list_recheck_tests)` || exit 1; \
657	log_list=`for i in $$bases; do echo $$i.log; done`; \
658	log_list=`echo $$log_list`; \
659	$(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
660	        am__force_recheck=am--force-recheck \
661	        TEST_LOGS="$$log_list"; \
662	exit $$?
663.test.log:
664	@p='$<'; \
665	$(am__set_b); \
666	$(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
667	--log-file $$b.log --trs-file $$b.trs \
668	$(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
669	"$$tst" $(AM_TESTS_FD_REDIRECT)
670
671distdir: $(BUILT_SOURCES)
672	$(MAKE) $(AM_MAKEFLAGS) distdir-am
673
674distdir-am: $(DISTFILES)
675	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
676	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
677	list='$(DISTFILES)'; \
678	  dist_files=`for file in $$list; do echo $$file; done | \
679	  sed -e "s|^$$srcdirstrip/||;t" \
680	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
681	case $$dist_files in \
682	  */*) $(MKDIR_P) `echo "$$dist_files" | \
683			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
684			   sort -u` ;; \
685	esac; \
686	for file in $$dist_files; do \
687	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
688	  if test -d $$d/$$file; then \
689	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
690	    if test -d "$(distdir)/$$file"; then \
691	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
692	    fi; \
693	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
694	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
695	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
696	    fi; \
697	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
698	  else \
699	    test -f "$(distdir)/$$file" \
700	    || cp -p $$d/$$file "$(distdir)/$$file" \
701	    || exit 1; \
702	  fi; \
703	done
704check-am: all-am
705	$(MAKE) $(AM_MAKEFLAGS) $(check_SCRIPTS)
706	$(MAKE) $(AM_MAKEFLAGS) check-TESTS
707check: check-am
708all-am: Makefile $(MANS) $(DATA)
709installdirs:
710	for dir in "$(DESTDIR)$(man1dir)" "$(DESTDIR)$(docdir)"; do \
711	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
712	done
713install: install-am
714install-exec: install-exec-am
715install-data: install-data-am
716uninstall: uninstall-am
717
718install-am: all-am
719	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
720
721installcheck: installcheck-am
722install-strip:
723	if test -z '$(STRIP)'; then \
724	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
725	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
726	      install; \
727	else \
728	  $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
729	    install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
730	    "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
731	fi
732mostlyclean-generic:
733	-test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
734	-test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
735	-test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
736
737clean-generic:
738
739distclean-generic:
740	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
741	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
742	-test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
743
744maintainer-clean-generic:
745	@echo "This command is intended for maintainers to use"
746	@echo "it deletes files that may require special tools to rebuild."
747clean: clean-am
748
749clean-am: clean-generic mostlyclean-am
750
751distclean: distclean-am
752	-rm -f Makefile
753distclean-am: clean-am distclean-generic
754
755dvi: dvi-am
756
757dvi-am:
758
759html: html-am
760
761html-am:
762
763info: info-am
764
765info-am:
766
767install-data-am: install-dist_docDATA install-man
768
769install-dvi: install-dvi-am
770
771install-dvi-am:
772
773install-exec-am:
774
775install-html: install-html-am
776
777install-html-am:
778
779install-info: install-info-am
780
781install-info-am:
782
783install-man: install-man1
784
785install-pdf: install-pdf-am
786
787install-pdf-am:
788
789install-ps: install-ps-am
790
791install-ps-am:
792
793installcheck-am:
794
795maintainer-clean: maintainer-clean-am
796	-rm -f Makefile
797maintainer-clean-am: distclean-am maintainer-clean-generic
798
799mostlyclean: mostlyclean-am
800
801mostlyclean-am: mostlyclean-generic
802
803pdf: pdf-am
804
805pdf-am:
806
807ps: ps-am
808
809ps-am:
810
811uninstall-am: uninstall-dist_docDATA uninstall-man
812
813uninstall-man: uninstall-man1
814
815.MAKE: check-am install-am install-strip
816
817.PHONY: all all-am check check-TESTS check-am clean clean-generic \
818	cscopelist-am ctags-am distclean distclean-generic distdir dvi \
819	dvi-am html html-am info info-am install install-am \
820	install-data install-data-am install-dist_docDATA install-dvi \
821	install-dvi-am install-exec install-exec-am install-html \
822	install-html-am install-info install-info-am install-man \
823	install-man1 install-pdf install-pdf-am install-ps \
824	install-ps-am install-strip installcheck installcheck-am \
825	installdirs maintainer-clean maintainer-clean-generic \
826	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am recheck \
827	tags-am uninstall uninstall-am uninstall-dist_docDATA \
828	uninstall-man uninstall-man1
829
830.PRECIOUS: Makefile
831
832
833@HAVE_MANDOC_FALSE@$(dist_man1_MANS) $(dist_doc_DATA):
834@HAVE_MANDOC_FALSE@	@echo 'You lack the mandoc utility. Can not rebuild manuals.' >&2
835@HAVE_MANDOC_FALSE@	@exit 1
836
837@HAVE_MANDOC_TRUE@shell.man:	$(srcdir)/shell.mdoc
838@HAVE_MANDOC_TRUE@	$(MANDOC) -T man -I os=Unix $(srcdir)/shell.mdoc >shell.man || true
839
840@HAVE_MANDOC_TRUE@shell.md:	$(srcdir)/shell.mdoc
841@HAVE_MANDOC_TRUE@	$(MANDOC) -T markdown -I os=Unix $(srcdir)/shell.mdoc >shell.md || true
842
843@HAVE_MANDOC_TRUE@shell.txt:	$(srcdir)/shell.mdoc
844@HAVE_MANDOC_TRUE@	$(MANDOC) -T ascii -I os=Unix  $(srcdir)/shell.mdoc | \
845@HAVE_MANDOC_TRUE@	$(COL) -b >shell.txt || true
846
847# Tell versions [3.59,3.63) of GNU make to not export all variables.
848# Otherwise a system limit (for SysV at least) may be exceeded.
849.NOEXPORT:
850